Index: uspace/lib/c/generic/dirent.c
===================================================================
--- uspace/lib/c/generic/dirent.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/c/generic/dirent.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -54,14 +54,13 @@
 	}
 	
-	int fd;
-	errno_t rc = vfs_lookup(dirname, WALK_DIRECTORY, &fd);
-	if (rc != EOK) {
+	int fd = vfs_lookup(dirname, WALK_DIRECTORY);
+	if (fd < 0) {
 		free(dirp);
-		errno = rc;
+		errno = fd;
 		return NULL;
 	}
 	
-	rc = vfs_open(fd, MODE_READ);
-	if (rc != EOK) {
+	int rc = vfs_open(fd, MODE_READ);
+	if (rc < 0) {
 		free(dirp);
 		vfs_put(fd);
@@ -83,5 +82,5 @@
 struct dirent *readdir(DIR *dirp)
 {
-	errno_t rc;
+	int rc;
 	ssize_t len = 0;
 	
@@ -114,13 +113,11 @@
 int closedir(DIR *dirp)
 {
-	errno_t rc = vfs_put(dirp->fd);
+	int rc;
+	
+	rc = vfs_put(dirp->fd);
 	free(dirp);
 
-	if (rc == EOK) {
-		return 0;
-	} else {
-		errno = rc;
-		return -1;
-	}
+	/* On error errno was set by close() */
+	return rc;
 }
 
Index: uspace/lib/c/generic/dnsr.c
===================================================================
--- uspace/lib/c/generic/dnsr.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/c/generic/dnsr.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -67,5 +67,5 @@
 }
 
-errno_t dnsr_name2host(const char *name, dnsr_hostinfo_t **rinfo, ip_ver_t ver)
+int dnsr_name2host(const char *name, dnsr_hostinfo_t **rinfo, ip_ver_t ver)
 {
 	async_exch_t *exch = dnsr_exchange_begin();
@@ -75,5 +75,5 @@
 	    &answer);
 	
-	errno_t rc = async_data_write_start(exch, name, str_size(name));
+	int rc = async_data_write_start(exch, name, str_size(name));
 	if (rc != EOK) {
 		async_exchange_end(exch);
@@ -90,5 +90,5 @@
 	    sizeof(inet_addr_t), &answer_addr);
 	
-	errno_t retval_addr;
+	sysarg_t retval_addr;
 	async_wait_for(req_addr, &retval_addr);
 	
@@ -97,5 +97,5 @@
 		async_forget(req);
 		free(info);
-		return retval_addr;
+		return (int) retval_addr;
 	}
 	
@@ -107,5 +107,5 @@
 	dnsr_exchange_end(exch);
 	
-	errno_t retval_cname;
+	sysarg_t retval_cname;
 	async_wait_for(req_cname, &retval_cname);
 	
@@ -113,8 +113,8 @@
 		async_forget(req);
 		free(info);
-		return retval_cname;
+		return (int) retval_cname;
 	}
 	
-	errno_t retval;
+	sysarg_t retval;
 	async_wait_for(req, &retval);
 	
@@ -122,5 +122,5 @@
 		async_forget(req);
 		free(info);
-		return retval;
+		return (int) retval;
 	}
 	
@@ -150,5 +150,5 @@
 }
 
-errno_t dnsr_get_srvaddr(inet_addr_t *srvaddr)
+int dnsr_get_srvaddr(inet_addr_t *srvaddr)
 {
 	async_exch_t *exch = dnsr_exchange_begin();
@@ -156,5 +156,5 @@
 	ipc_call_t answer;
 	aid_t req = async_send_0(exch, DNSR_GET_SRVADDR, &answer);
-	errno_t rc = async_data_read_start(exch, srvaddr, sizeof(inet_addr_t));
+	int rc = async_data_read_start(exch, srvaddr, sizeof(inet_addr_t));
 	
 	loc_exchange_end(exch);
@@ -165,11 +165,11 @@
 	}
 	
-	errno_t retval;
+	sysarg_t retval;
 	async_wait_for(req, &retval);
 	
-	return retval;
+	return (int) retval;
 }
 
-errno_t dnsr_set_srvaddr(inet_addr_t *srvaddr)
+int dnsr_set_srvaddr(inet_addr_t *srvaddr)
 {
 	async_exch_t *exch = dnsr_exchange_begin();
@@ -177,5 +177,5 @@
 	ipc_call_t answer;
 	aid_t req = async_send_0(exch, DNSR_SET_SRVADDR, &answer);
-	errno_t rc = async_data_write_start(exch, srvaddr, sizeof(inet_addr_t));
+	int rc = async_data_write_start(exch, srvaddr, sizeof(inet_addr_t));
 	
 	loc_exchange_end(exch);
@@ -186,8 +186,8 @@
 	}
 	
-	errno_t retval;
+	sysarg_t retval;
 	async_wait_for(req, &retval);
 	
-	return retval;
+	return (int) retval;
 }
 
Index: uspace/lib/c/generic/elf/elf_load.c
===================================================================
--- uspace/lib/c/generic/elf/elf_load.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/c/generic/elf/elf_load.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -53,5 +53,5 @@
  * @param file File handle 
  * @param info Place to store ELF program information
- * @return EE_OK on success or an EE_x error code
+ * @return EOK on success or non-zero error code
  */
 int elf_load(int file, elf_info_t *info)
@@ -79,17 +79,5 @@
 	DPRINTF( "- prog dynamic: %p\n", info->finfo.dynamic);
 
-	errno_t rc2 = rtld_prog_process(&info->finfo, &env);
-	switch (rc2) {
-	case EOK:
-		rc = EE_OK;
-		break;
-	case ENOMEM:
-		rc = EE_MEMORY;
-		break;
-	default:
-		DPRINTF("Unexpected error code from rtld_prog_process(): %s\n", str_error_name(rc2));
-		rc = EE_INVALID;
-	}
-
+	rc = rtld_prog_process(&info->finfo, &env);
 	info->env = env;
 #else
Index: uspace/lib/c/generic/elf/elf_mod.c
===================================================================
--- uspace/lib/c/generic/elf/elf_mod.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/c/generic/elf/elf_mod.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -69,6 +69,5 @@
 	"incompatible image",
 	"unsupported image type",
-	"irrecoverable error",
-	"file io error"
+	"irrecoverable error"
 };
 
@@ -91,5 +90,5 @@
  *                  extracted from the binary.
  *
- * @return EE_OK on success or EE_xx error code.
+ * @return EOK on success or negative error code.
  *
  */
@@ -98,11 +97,8 @@
 	elf_ld_t elf;
 
-	int ofile;
-	errno_t rc = vfs_clone(file, -1, true, &ofile);
-	if (rc == EOK) {
-		rc = vfs_open(ofile, MODE_READ);
-	}
+	int ofile = vfs_clone(file, -1, true);
+	int rc = vfs_open(ofile, MODE_READ);
 	if (rc != EOK) {
-		return EE_IO;
+		return rc;
 	}
 
@@ -111,8 +107,8 @@
 	elf.flags = flags;
 
-	int ret = elf_load_module(&elf, so_bias);
+	rc = elf_load_module(&elf, so_bias);
 
 	vfs_put(ofile);
-	return ret;
+	return rc;
 }
 
@@ -120,13 +116,8 @@
     elf_finfo_t *info)
 {
-	int file;
-	errno_t rc = vfs_lookup(path, 0, &file);
-	if (rc == EOK) {
-		int ret = elf_load_file(file, so_bias, flags, info);
-		vfs_put(file);
-		return ret;
-	} else {
-		return EE_IO;
-	}
+	int file = vfs_lookup(path, 0);
+	int rc = elf_load_file(file, so_bias, flags, info);
+	vfs_put(file);
+	return rc;
 }
 
@@ -147,11 +138,10 @@
 	aoff64_t pos = 0;
 	size_t nr;
-	int i, ret;
-	errno_t rc;
+	int i, rc;
 
 	rc = vfs_read(elf->fd, &pos, header, sizeof(elf_header_t), &nr);
 	if (rc != EOK || nr != sizeof(elf_header_t)) {
 		DPRINTF("Read error.\n"); 
-		return EE_IO;
+		return EE_INVALID;
 	}
 
@@ -213,10 +203,10 @@
 		if (rc != EOK || nr != sizeof(elf_segment_header_t)) {
 			DPRINTF("Read error.\n");
-			return EE_IO;
+			return EE_INVALID;
 		}
 
-		ret = segment_header(elf, &segment_hdr);
-		if (ret != EE_OK)
-			return ret;
+		rc = segment_header(elf, &segment_hdr);
+		if (rc != EE_OK)
+			return rc;
 	}
 
@@ -232,10 +222,10 @@
 		if (rc != EOK || nr != sizeof(elf_section_header_t)) {
 			DPRINTF("Read error.\n");
-			return EE_IO;
+			return EE_INVALID;
 		}
 
-		ret = section_header(elf, &section_hdr);
-		if (ret != EE_OK)
-			return ret;
+		rc = section_header(elf, &section_hdr);
+		if (rc != EE_OK)
+			return rc;
 	}
 
@@ -341,5 +331,5 @@
 	size_t mem_sz;
 	aoff64_t pos;
-	errno_t rc;
+	int rc;
 	size_t nr;
 
@@ -403,5 +393,5 @@
 	if (rc != EOK || nr != entry->p_filesz) {
 		DPRINTF("read error\n");
-		return EE_IO;
+		return EE_INVALID;
 	}
 
@@ -414,5 +404,5 @@
 //	printf("set area flags to %d\n", flags);
 	rc = as_area_change_flags(seg_ptr, flags);
-	if (rc != EOK) {
+	if (rc != 0) {
 		DPRINTF("Failed to set memory area flags.\n");
 		return EE_MEMORY;
Index: uspace/lib/c/generic/event.c
===================================================================
--- uspace/lib/c/generic/event.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/c/generic/event.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -45,10 +45,10 @@
  * @param imethod Use this interface and method for notifying me.
  *
- * @return Error code returned by the kernel.
+ * @return Value returned by the kernel.
  *
  */
-errno_t ipc_event_subscribe(event_type_t evno, sysarg_t imethod)
+int ipc_event_subscribe(event_type_t evno, sysarg_t imethod)
 {
-	return (errno_t) __SYSCALL2(SYS_IPC_EVENT_SUBSCRIBE, (sysarg_t) evno,
+	return __SYSCALL2(SYS_IPC_EVENT_SUBSCRIBE, (sysarg_t) evno,
 	    (sysarg_t) imethod);
 }
@@ -59,10 +59,10 @@
  * @param imethod Use this interface and method for notifying me.
  *
- * @return Error code returned by the kernel.
+ * @return Value returned by the kernel.
  *
  */
-errno_t ipc_event_task_subscribe(event_task_type_t evno, sysarg_t imethod)
+int ipc_event_task_subscribe(event_task_type_t evno, sysarg_t imethod)
 {
-	return (errno_t) __SYSCALL2(SYS_IPC_EVENT_SUBSCRIBE, (sysarg_t) evno,
+	return __SYSCALL2(SYS_IPC_EVENT_SUBSCRIBE, (sysarg_t) evno,
 	    (sysarg_t) imethod);
 }
@@ -72,10 +72,10 @@
  * @param evno    Event type to unsubscribe.
  *
- * @return Error code returned by the kernel.
+ * @return Value returned by the kernel.
  *
  */
-errno_t ipc_event_unsubscribe(event_type_t evno)
+int ipc_event_unsubscribe(event_type_t evno)
 {
-	return (errno_t) __SYSCALL1(SYS_IPC_EVENT_UNSUBSCRIBE, (sysarg_t) evno);
+	return __SYSCALL1(SYS_IPC_EVENT_UNSUBSCRIBE, (sysarg_t) evno);
 }
 
@@ -84,10 +84,10 @@
  * @param evno    Event type to unsubscribe.
  *
- * @return Error code returned by the kernel.
+ * @return Value returned by the kernel.
  *
  */
-errno_t ipc_event_task_unsubscribe(event_task_type_t evno)
+int ipc_event_task_unsubscribe(event_task_type_t evno)
 {
-	return (errno_t) __SYSCALL1(SYS_IPC_EVENT_UNSUBSCRIBE, (sysarg_t) evno);
+	return __SYSCALL1(SYS_IPC_EVENT_UNSUBSCRIBE, (sysarg_t) evno);
 }
 
@@ -96,10 +96,10 @@
  * @param evno Event type to unmask.
  *
- * @return Error code returned by the kernel.
+ * @return Value returned by the kernel.
  *
  */
-errno_t ipc_event_unmask(event_type_t evno)
+int ipc_event_unmask(event_type_t evno)
 {
-	return (errno_t) __SYSCALL1(SYS_IPC_EVENT_UNMASK, (sysarg_t) evno);
+	return __SYSCALL1(SYS_IPC_EVENT_UNMASK, (sysarg_t) evno);
 }
 
@@ -108,10 +108,10 @@
  * @param evno Event type to unmask.
  *
- * @return Error code returned by the kernel.
+ * @return Value returned by the kernel.
  *
  */
-errno_t ipc_event_task_unmask(event_task_type_t evno)
+int ipc_event_task_unmask(event_task_type_t evno)
 {
-	return (errno_t) __SYSCALL1(SYS_IPC_EVENT_UNMASK, (sysarg_t) evno);
+	return __SYSCALL1(SYS_IPC_EVENT_UNMASK, (sysarg_t) evno);
 }
 
Index: uspace/lib/c/generic/fibril.c
===================================================================
--- uspace/lib/c/generic/fibril.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/c/generic/fibril.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -268,5 +268,5 @@
  *
  */
-fid_t fibril_create_generic(errno_t (*func)(void *), void *arg, size_t stksz)
+fid_t fibril_create_generic(int (*func)(void *), void *arg, size_t stksz)
 {
 	fibril_t *fibril;
Index: uspace/lib/c/generic/fibril_synch.c
===================================================================
--- uspace/lib/c/generic/fibril_synch.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/c/generic/fibril_synch.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -352,5 +352,5 @@
 }
 
-errno_t
+int
 fibril_condvar_wait_timeout(fibril_condvar_t *fcv, fibril_mutex_t *fm,
     suseconds_t timeout)
@@ -392,5 +392,5 @@
 void fibril_condvar_wait(fibril_condvar_t *fcv, fibril_mutex_t *fm)
 {
-	errno_t rc;
+	int rc;
 
 	rc = fibril_condvar_wait_timeout(fcv, fm, 0);
@@ -434,8 +434,8 @@
  * @param arg	Timer
  */
-static errno_t fibril_timer_func(void *arg)
+static int fibril_timer_func(void *arg)
 {
 	fibril_timer_t *timer = (fibril_timer_t *) arg;
-	errno_t rc;
+	int rc;
 
 	fibril_mutex_lock(timer->lockp);
Index: uspace/lib/c/generic/getopt.c
===================================================================
--- uspace/lib/c/generic/getopt.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/c/generic/getopt.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -49,5 +49,5 @@
 int	optopt = '?';		/* character checked for validity */
 int	optreset;		/* reset getopt */
-char	*optarg;		/* argument associated with option */
+const char *optarg;		/* argument associated with option */
 
 
@@ -67,5 +67,5 @@
 #define INORDER (int)1
 
-static char EMSG[] = "";
+#define	EMSG	""
 
 static int getopt_internal(int, char **, const char *);
@@ -73,5 +73,5 @@
 static void permute_args(int, int, int, char **);
 
-static char *place = EMSG; /* option letter processing */
+static const char *place = EMSG; /* option letter processing */
 
 /* XXX: set optreset to 1 rather than these two */
@@ -336,5 +336,5 @@
 	if (retval == -2) {
 		char *current_argv;
-		char *has_equal;
+		const char *has_equal;
 		size_t current_argv_len;
 		int i, ambiguous, match;
Index: uspace/lib/c/generic/imath.c
===================================================================
--- uspace/lib/c/generic/imath.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/c/generic/imath.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -48,5 +48,5 @@
  * @return EOK on success, ERANGE if result does not fit into result type
  */
-errno_t ipow10_u64(unsigned exp, uint64_t *res)
+int ipow10_u64(unsigned exp, uint64_t *res)
 {
 	unsigned a;
Index: uspace/lib/c/generic/inet.c
===================================================================
--- uspace/lib/c/generic/inet.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/c/generic/inet.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -42,5 +42,5 @@
 static uint8_t inet_protocol = 0;
 
-static errno_t inet_callback_create(void)
+static int inet_callback_create(void)
 {
 	async_exch_t *exch = async_exchange_begin(inet_sess);
@@ -50,5 +50,5 @@
 	
 	port_id_t port;
-	errno_t rc = async_create_callback_port(exch, INTERFACE_INET_CB, 0, 0,
+	int rc = async_create_callback_port(exch, INTERFACE_INET_CB, 0, 0,
 	    inet_cb_conn, NULL, &port);
 	
@@ -58,5 +58,5 @@
 		return rc;
 	
-	errno_t retval;
+	sysarg_t retval;
 	async_wait_for(req, &retval);
 	
@@ -64,8 +64,8 @@
 }
 
-static errno_t inet_set_proto(uint8_t protocol)
-{
-	async_exch_t *exch = async_exchange_begin(inet_sess);
-	errno_t rc = async_req_1_0(exch, INET_SET_PROTO, protocol);
+static int inet_set_proto(uint8_t protocol)
+{
+	async_exch_t *exch = async_exchange_begin(inet_sess);
+	int rc = async_req_1_0(exch, INET_SET_PROTO, protocol);
 	async_exchange_end(exch);
 	
@@ -73,8 +73,8 @@
 }
 
-errno_t inet_init(uint8_t protocol, inet_ev_ops_t *ev_ops)
+int inet_init(uint8_t protocol, inet_ev_ops_t *ev_ops)
 {
 	service_id_t inet_svc;
-	errno_t rc;
+	int rc;
 
 	assert(inet_sess == NULL);
@@ -110,5 +110,5 @@
 }
 
-errno_t inet_send(inet_dgram_t *dgram, uint8_t ttl, inet_df_t df)
+int inet_send(inet_dgram_t *dgram, uint8_t ttl, inet_df_t df)
 {
 	async_exch_t *exch = async_exchange_begin(inet_sess);
@@ -118,5 +118,5 @@
 	    ttl, df, &answer);
 	
-	errno_t rc = async_data_write_start(exch, &dgram->src, sizeof(inet_addr_t));
+	int rc = async_data_write_start(exch, &dgram->src, sizeof(inet_addr_t));
 	if (rc != EOK) {
 		async_exchange_end(exch);
@@ -141,11 +141,11 @@
 	}
 	
-	errno_t retval;
+	sysarg_t retval;
 	async_wait_for(req, &retval);
 	
-	return retval;
-}
-
-errno_t inet_get_srcaddr(inet_addr_t *remote, uint8_t tos, inet_addr_t *local)
+	return (int) retval;
+}
+
+int inet_get_srcaddr(inet_addr_t *remote, uint8_t tos, inet_addr_t *local)
 {
 	async_exch_t *exch = async_exchange_begin(inet_sess);
@@ -154,5 +154,5 @@
 	aid_t req = async_send_1(exch, INET_GET_SRCADDR, tos, &answer);
 	
-	errno_t rc = async_data_write_start(exch, remote, sizeof(inet_addr_t));
+	int rc = async_data_write_start(exch, remote, sizeof(inet_addr_t));
 	if (rc != EOK) {
 		async_exchange_end(exch);
@@ -170,8 +170,8 @@
 	}
 	
-	errno_t retval;
+	sysarg_t retval;
 	async_wait_for(req, &retval);
 	
-	return retval;
+	return (int) retval;
 }
 
@@ -197,5 +197,5 @@
 	}
 	
-	errno_t rc = async_data_write_finalize(callid, &dgram.src, size);
+	int rc = async_data_write_finalize(callid, &dgram.src, size);
 	if (rc != EOK) {
 		async_answer_0(callid, rc);
Index: uspace/lib/c/generic/inet/addr.c
===================================================================
--- uspace/lib/c/generic/inet/addr.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/c/generic/inet/addr.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -42,5 +42,4 @@
 #include <bitops.h>
 #include <inttypes.h>
-#include <str.h>
 
 #define INET_PREFIXSTRSIZE  5
@@ -291,5 +290,5 @@
 }
 
-static errno_t inet_addr_parse_v4(const char *str, inet_addr_t *raddr,
+static int inet_addr_parse_v4(const char *str, inet_addr_t *raddr,
     int *prefix, char **endptr)
 {
@@ -300,5 +299,5 @@
 
 	while (i < 4) {
-		errno_t rc = str_uint8_t(cur, (const char **)&cur, 10, false, &b);
+		int rc = str_uint8_t(cur, (const char **)&cur, 10, false, &b);
 		if (rc != EOK)
 			return rc;
@@ -340,5 +339,5 @@
 }
 
-static errno_t inet_addr_parse_v6(const char *str, inet_addr_t *raddr, int *prefix,
+static int inet_addr_parse_v6(const char *str, inet_addr_t *raddr, int *prefix,
     char **endptr)
 {
@@ -363,5 +362,5 @@
 		uint16_t bioctet;
 		const char *gend;
-		errno_t rc = str_uint16_t(cur, &gend, 16, false, &bioctet);
+		int rc = str_uint16_t(cur, &gend, 16, false, &bioctet);
 		if (rc != EOK)
 			break;
@@ -447,7 +446,7 @@
  *
  */
-errno_t inet_addr_parse(const char *text, inet_addr_t *addr, char **endptr)
-{
-	errno_t rc;
+int inet_addr_parse(const char *text, inet_addr_t *addr, char **endptr)
+{
+	int rc;
 
 	rc = inet_addr_parse_v4(text, addr, NULL, endptr);
@@ -474,7 +473,7 @@
  *
  */
-errno_t inet_naddr_parse(const char *text, inet_naddr_t *naddr, char **endptr)
-{
-	errno_t rc;
+int inet_naddr_parse(const char *text, inet_naddr_t *naddr, char **endptr)
+{
+	int rc;
 	inet_addr_t addr;
 	int prefix;
@@ -495,5 +494,5 @@
 }
 
-static errno_t inet_addr_format_v4(addr32_t addr, char **bufp)
+static int inet_addr_format_v4(addr32_t addr, char **bufp)
 {
 	int rc;
@@ -507,5 +506,5 @@
 }
 
-static errno_t inet_addr_format_v6(const addr128_t addr, char **bufp)
+static int inet_addr_format_v6(const addr128_t addr, char **bufp)
 {
 	*bufp = (char *) malloc(INET6_ADDRSTRLEN);
@@ -582,8 +581,7 @@
  *
  */
-errno_t inet_addr_format(const inet_addr_t *addr, char **bufp)
-{
-	errno_t rc;
-	int ret;
+int inet_addr_format(const inet_addr_t *addr, char **bufp)
+{
+	int rc;
 
 	rc = ENOTSUP;
@@ -591,6 +589,6 @@
 	switch (addr->version) {
 	case ip_any:
-		ret = asprintf(bufp, "none");
-		if (ret < 0)
+		rc = asprintf(bufp, "none");
+		if (rc < 0)
 			return ENOMEM;
 		rc = EOK;
@@ -617,8 +615,7 @@
  *
  */
-errno_t inet_naddr_format(const inet_naddr_t *naddr, char **bufp)
-{
-	errno_t rc;
-	int ret;
+int inet_naddr_format(const inet_naddr_t *naddr, char **bufp)
+{
+	int rc;
 	char *astr;
 
@@ -627,6 +624,6 @@
 	switch (naddr->version) {
 	case ip_any:
-		ret = asprintf(bufp, "none");
-		if (ret < 0)
+		rc = asprintf(bufp, "none");
+		if (rc < 0)
 			return ENOMEM;
 		rc = EOK;
@@ -637,6 +634,6 @@
 			return ENOMEM;
 
-		ret = asprintf(bufp, "%s/%" PRIu8, astr, naddr->prefix);
-		if (ret < 0) {
+		rc = asprintf(bufp, "%s/%" PRIu8, astr, naddr->prefix);
+		if (rc < 0) {
 			free(astr);
 			return ENOMEM;
@@ -650,6 +647,6 @@
 			return ENOMEM;
 
-		ret = asprintf(bufp, "%s/%" PRIu8, astr, naddr->prefix);
-		if (ret < 0) {
+		rc = asprintf(bufp, "%s/%" PRIu8, astr, naddr->prefix);
+		if (rc < 0) {
 			free(astr);
 			return ENOMEM;
Index: uspace/lib/c/generic/inet/host.c
===================================================================
--- uspace/lib/c/generic/inet/host.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/c/generic/inet/host.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -54,5 +54,5 @@
  *         extra characters at the end. ENOMEM if out of memory
  */
-errno_t inet_host_parse(const char *str, inet_host_t **rhost,
+int inet_host_parse(const char *str, inet_host_t **rhost,
     char **endptr)
 {
@@ -61,5 +61,5 @@
 	char *name;
 	char *aend;
-	errno_t rc;
+	int rc;
 
 	host = calloc(1, sizeof(inet_host_t));
@@ -106,7 +106,7 @@
  * @return EOK on success, ENOMEM if out of memory
  */
-errno_t inet_host_format(inet_host_t *host, char **rstr)
-{
-	errno_t rc;
+int inet_host_format(inet_host_t *host, char **rstr)
+{
+	int rc;
 	char *str = NULL;
 
@@ -161,8 +161,8 @@
  * @reutrn EOK on success, ENOENT on resolurion failure
  */
-errno_t inet_host_lookup_one(inet_host_t *host, ip_ver_t version, inet_addr_t *addr)
+int inet_host_lookup_one(inet_host_t *host, ip_ver_t version, inet_addr_t *addr)
 {
 	dnsr_hostinfo_t *hinfo = NULL;
-	errno_t rc;
+	int rc;
 
 	switch (host->hform) {
@@ -201,10 +201,10 @@
  *         ENOMEM if out of memory
  */
-errno_t inet_host_plookup_one(const char *str, ip_ver_t version, inet_addr_t *addr,
+int inet_host_plookup_one(const char *str, ip_ver_t version, inet_addr_t *addr,
     char **endptr, const char **errmsg)
 {
 	inet_host_t *host = NULL;
 	char *eptr;
-	errno_t rc;
+	int rc;
 
 	rc = inet_host_parse(str, &host, endptr != NULL ? &eptr : NULL);
Index: uspace/lib/c/generic/inet/hostname.c
===================================================================
--- uspace/lib/c/generic/inet/hostname.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/c/generic/inet/hostname.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -58,5 +58,5 @@
  *         extra characters at the end. ENOMEM if out of memory
  */
-errno_t inet_hostname_parse(const char *str, char **rname, char **endptr)
+int inet_hostname_parse(const char *str, char **rname, char **endptr)
 {
 	const char *c;
Index: uspace/lib/c/generic/inet/hostport.c
===================================================================
--- uspace/lib/c/generic/inet/hostport.c	(revision a912afff2183b03ff0125b2f2bfcbf5235fc78c7)
+++ uspace/lib/c/generic/inet/hostport.c	(revision 220adfa40192f4969d92a5de29826f012343ae2a)
@@ -56,5 +56,5 @@
  *         extra characters at the end. ENOMEM if out of memory
  */
-errno_t inet_hostport_parse(const char *str, inet_hostport_t **rhp,
+int inet_hostport_parse(const char *str, inet_hostport_t **rhp,
     char **endptr)
 {
@@ -65,5 +65,5 @@
 	char *aend;
 	const char *pend;
-	errno_t rc;
+	int rc;
 
 	hp = calloc(1, sizeof(inet_hostport_t));
@@ -137,8 +137,7 @@
  * @return EOK on success, ENOMEM if out of memory
  */
-errno_t inet_hostport_format(inet_hostport_t *hp, char **rstr)
-{
-	errno_t rc;
-	int ret;
+int inet_hostport_format(inet_hostport_t *hp, char **rstr)
+{
+	int rc;
 	char *astr, *str;
 	char *hstr = NULL;
@@ -155,6 +154,6 @@
 			hstr = astr;
 		} else {
-			ret = asprintf(&hstr, "[%s]", astr);
-			if (ret < 0) {
+			rc = asprintf(&hstr, "[%s]", astr);
+			if (rc < 0) {
 				free(astr);
 				return ENOMEM;
@@ -172,6 +171,6 @@
 	}
 
-	ret = asprintf(&str, "%s:%u", hstr, hp->port);
-	if (ret < 0)
+	rc = asprintf(&str, "%s:%u", hstr, hp->port);
+	if (rc < 0)
 		return ENOMEM;
 
@@ -211,9 +210,9 @@
  * @return EOK on success, ENOENT on resolution failure
  */
-errno_t inet_hostport_lookup_one(inet_hostport_t *hp, ip_ver_t version,
+int inet_hostport_lookup_one(inet_hostport_t *hp, ip_ver_t version,
     inet_ep_t *ep)
 {
 	dnsr_hostinfo_t *hinfo = NULL;
-	errno_t rc;
+	int rc;
 
 	inet_ep_init(ep);
@@ -255,10 +254,10 @@
  *         ENOMEM if out of memory
  */
-errno_t inet_hostport_plookup_one(const char *str, ip_ver_t version, inet_ep_t *ep,
+int inet_hostport_plookup_one(const char *str, ip_ver_t version, inet_ep_t *ep,
     char **endptr, const char **errmsg)
 {
 	inet_hostport_t *hp = NULL;
 	char *eptr;
-	errno_t rc;
+	int rc;
 
 	rc = inet_hostport_parse(str, &hp, endptr != NULL ? &eptr : NULL);
